# Class TitlePhase

#### Hierarchy (view full)

- Phase
  - TitlePhase

- Defined in src/phases.ts:149

#####
Index

### Constructors

constructor

### Properties

gameMode
lastSessionData
loaded
scene

### Methods

end
initDailyRun
loadSaveSlot
showOptions
start

## Constructors

### constructor

- new TitlePhase(scene): TitlePhase

- #### Parameters

  - scene: default

  #### Returns TitlePhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:154

## Properties

### gameMode

gameMode: GameModes

- Defined in src/phases.ts:152

### `Private` lastSessionData

lastSessionData: SessionSaveData

- Defined in src/phases.ts:151

### `Private` loaded

loaded: boolean

- Defined in src/phases.ts:150

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Overrides Phase.end

  - Defined in src/phases.ts:376

### initDailyRun

- initDailyRun(): void

- #### Returns void

  - Defined in src/phases.ts:307

### loadSaveSlot

- loadSaveSlot(slotId): void

- #### Parameters

  - slotId: number

  #### Returns void

  - Defined in src/phases.ts:291

### showOptions

- showOptions(): void

- #### Returns void

  - Defined in src/phases.ts:182

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:160